package com.supervision.pdfqaserver.service;

import org.springframework.ai.chat.model.ChatResponse;
import org.springframework.ai.chat.prompt.Prompt;
import reactor.core.publisher.Flux;

/**
 * @description: AI调用服务
 */
public interface AiCallService {


    String call(String prompt);

    Flux<ChatResponse> stream(Prompt prompt);

    abstract void embedding(String text);
}
